unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, TeeGDIPlus, TeEngine, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Button1: TButton;
    PaintBox1: TPaintBox;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses TeCanvas;

type TMyTeeCanvas3D = class(TTeeCanvas3D)
  protected
    procedure DoChangedPen; override;
  end;

procedure TMyTeeCanvas3D.DoChangedPen;
begin
  ReferenceCanvas.Pen.Assign(Pen);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.Canvas := TMyTeeCanvas3D.Create;
  Chart1.View3D:=False;
  Chart1.Walls.Hide;
  Chart1.Axes.Hide;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  LLogBrush : tLogBrush;
  LUserstyle : array[0..3] of DWORD;
begin
  LUserstyle[0]:= 12;
  LUserstyle[1]:= 8;
  LUserstyle[2]:= 12;
  LUserstyle[3]:= 4;

  LLogBrush.lbStyle := BS_Solid;
  LLogBrush.lbColor := clBlue;
  LLogBrush.lbHatch := 0;

  Chart1.Canvas.Pen.Width:=1;
  Chart1.Canvas.Pen.Handle := ExtCreatePen(PS_GEOMETRIC or PS_USERSTYLE,
                    2, LLogBrush, 4, @LUserstyle);
  Chart1.Canvas.MoveTo(10,10);
  Chart1.Canvas.LineTo(100,100);


  PaintBox1.Canvas.Pen.Handle := ExtCreatePen(PS_GEOMETRIC or PS_USERSTYLE,
                    2, LLogBrush, 4, @LUserstyle);

  PaintBox1.Canvas.MoveTo(10,10);
  PaintBox1.Canvas.LineTo(100,100);
end;

end.
